/**
 * 
 */
package org.springblade.etl.connector.sink.config;

import java.util.List;

import org.springblade.etl.connector.base.jdbc.JdbcConnectionConfig;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author wookvn
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SeatunnelJdbcSinkConfig extends JdbcConnectionConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String query;
	
	private String database;
	
	private String table;
	
	private List<String> primary_keys;
	
	//support upsert by query primary_key exist
	private Boolean support_upsert_by_query_primary_key_exist;
	
	private Boolean generate_sink_sql;
}
