package org.springblade.etl.dto;

import java.util.List;

import org.springblade.etl.entity.DataApi;
import org.springblade.etl.entity.Dimension;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DataApiDTO extends DataApi {

	@ApiModelProperty(value = "表或者试图id", example = "1", required = true)
	private Integer viewId;

	@ApiModelProperty(value = "列字段列表", example = "", required = true)
	private List<Dimension> columnParamList;

	@ApiModelProperty(value = "行字段列表", example = "", required = true)
	private List<Dimension> rowParamList;

	@ApiModelProperty(value = "指标字段列表", example = "", required = true)
	private List<Dimension> indexParamList;
}
