package org.springblade.etl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName sql_column
 */
@TableName(value = "etl_sql_column")
@Data
public class SqlColumn implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 主键自增
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     * 数据库字段类型
     */
    @TableField(value = "sql_column_type")
    private String sqlColumnType;
    /**
     * 数据源类型 数据源类型 0-mysql 1-oracle 2-sqlserver 3-postgresql 4-clickhouse 5-kingbasees 6-dameng 7-uxdb 8-xugu
     */
    @TableField(value = "ds_type")
    private Integer dsType;
    /**
     * 通用字段类型
     */
    @TableField(value = "column_type")
    private String columnType;
}