/**
 * 
 */
package org.springblade.etl.service;

import java.util.List;

import org.springblade.etl.entity.DsyJobTable;
import org.springblade.etl.mapper.DsyJobTableMapper;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 *	数据同步任务 服务处理
 *
 * @author aokunsang
 * @date   2023-09-21
 */
@Service
public class DsyJobTableService extends ServiceImpl<DsyJobTableMapper, DsyJobTable>{

	/**
	 * 
	 * @param JobId
	 * @return
	 */
	public List<DsyJobTable> listByJobId(Integer jobId){
		return baseMapper.selectByJobId(jobId);
	}
}