/**
 * 
 */
package org.springblade.etl.service;

import java.util.List;

import org.springblade.etl.entity.JobTask;
import org.springblade.etl.mapper.JobTaskMapper;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

/**
 *	任务步骤(节点) 服务处理
 *
 * @author aokunsang
 * @date   2023-07-28
 */
@Service
public class JobTaskService extends ServiceImpl<JobTaskMapper, JobTask>{

	public List<JobTask> listByJobId(Integer jobId){
		return baseMapper.selectByJobId(jobId);
	}
}